#pragma once
#include <map>
struct Fish_JuKunEggCFGData
{
	//编号
	int mID;
	//类型
	int mType;
	//最小分值
	int mMinimumScore;
	//最大分值
	int mMaximumScore;
	//随机最小鲲币（百分比）
	int mRandomMinimum;
	//随机最大币（百分比）
	int mRandomMaximum;
	//权重
	int mweight;
	//显示图片
	std::string mResource;
};

class Fish_JuKunEggCFG
{
public:
private:
	static std::auto_ptr<Fish_JuKunEggCFG> msSingleton;
public:
	int GetCount();
	const Fish_JuKunEggCFGData* GetData(int ID);
	const std::map<int, Fish_JuKunEggCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_JuKunEggCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_JuKunEggCFGData> mMapData;
};
